uniform sampler2D tex_clicked;
uniform sampler2D tex_unclicked;

uniform float clicked;

void main()
{	
	vec2 p = gl_TexCoord[0].xy;
	vec4 sample1 = texture2D(tex_clicked, p);	
	vec4 sample2 = texture2D(tex_unclicked, p);
	gl_FragColor = gl_Color * mix(sample1, sample2, clicked);
}